
From: Eric Lammerts <eric@lammerts.org>

The init function is writing somewhere using a physical address instead of
a virtual address.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/asiliantfb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/asiliantfb.c~asiliantfb-fixes drivers/video/asiliantfb.c
--- 25/drivers/video/asiliantfb.c~asiliantfb-fixes	2004-06-30 08:47:06.145628952 -0700
+++ 25-akpm/drivers/video/asiliantfb.c	2004-06-30 08:47:06.148628496 -0700
@@ -571,7 +571,7 @@ asiliantfb_pci_init(struct pci_dev *dp, 
 	}
 
 	pci_write_config_dword(dp, 4, 0x02800083);
-	writeb(3, addr + 0x400784);
+	writeb(3, p->screen_base + 0x400784);
 
 	init_asiliant(p, addr);
 
_
